@import "./../../../../../scss/variables";

.comment-bar-container {
  background-color: $primary;
  z-index: 2;
  height: 8vh;
  width: $global-width;
  position: fixed;
  bottom: 0;
}

.comment-bar-btn {
  cursor: pointer;
}

.comment-bar-icons {
  width: 4vh;
  height: 4vh;
  margin-left: 1vh;
}

// Left, Center, and Right Button

.comment-bar-close-icon {
  filter: $white-filter;
  width: 50%;
}

.comment-bar-right-icon {
  filter: $primary-filter;
}

.comment-bar-close-button {
  background-color: $primary;
  margin-left: 1vh;
  margin-top: 2vh;
}

.comment-bar-submit-comment-button {
  background-color: $complement;
  width: 10vh;
  height: 15vh;
  padding: 2vh;
}

.comment-text-input {
  height: 5vh;
  width: 45vh;
  margin-top: 1.5vh;
  border-radius: 50px;
  margin-right: 2vh;
  border: 1px solid white;
  color: $disabled-background-or-text-light;
  padding: 1vh;
}

.comment-text-input:focus {
  background-color: white;
  color: $primary-dark;
}

.comment-text-input::placeholder {
  color: #d3c1e5;
  font-size: 2vh;
  padding: 2vh;
}
